<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $contents
 * @var int $page_number
 */

use kernel\IGTabel\action_column\DeleteActionColumn;
use kernel\IGTabel\action_column\EditActionColumn;
use kernel\IGTabel\action_column\ViewActionColumn;
use kernel\modules\post\models\Post;
use kernel\modules\user\models\User;
use Itguild\EloquentTable\EloquentDataProvider;
use Itguild\EloquentTable\ListEloquentTable;
use kernel\IGTabel\btn\PrimaryBtn;

$table = new ListEloquentTable(new EloquentDataProvider(Post::class, [
    'currentPage' => $page_number,
    'perPage' => 3,
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/post"
]));
$table->columns([
    'created_at' => function ($data) {
        if (!$data){
            return null;
        }

        return (new DateTimeImmutable($data))->format("d-m-Y");
    },
    'updated_at' => function ($data) {
        if (!$data){
            return null;
        }

        return (new DateTimeImmutable($data))->format("d-m-Y");
    },
    'user_id' => (function ($data) {
        return User::find($data)->username;
    })
]);
$table->beforePrint(function () {
    return PrimaryBtn::create("Создать", "/admin/post/create")->fetch();
    //return (new PrimaryBtn("Создать", "/admin/user/create"))->fetch();
});
$table->addAction(ViewActionColumn::class);
$table->addAction(EditActionColumn::class);
$table->addAction(DeleteActionColumn::class);
$table->create();
$table->render();